package com.tzld.piaoquan.risk.control.service.impl;

import com.github.pagehelper.PageHelper;
import com.tzld.piaoquan.risk.control.dao.mapper.UserBaseMapper;
import com.tzld.piaoquan.risk.control.model.po.UserBase;
import com.tzld.piaoquan.risk.control.model.po.UserBaseExample;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

// UserService.java
@Service
public class QywxUserService {

    @Autowired
    private UserBaseMapper userBaseMapper;

    // 新增用户（自动生成ID）
    public void createUser(UserBase user) {
        user.setCreateTime(new Date()); // 自动设置创建时间
        userBaseMapper.insertSelective(user);
    }

    // 根据ID删除用户
    public void deleteUserById(Long id) {
        userBaseMapper.deleteByPrimaryKey(id);
    }

    // 更新用户信息（选择性更新）
    public void updateUser(UserBase user) {
        userBaseMapper.updateByPrimaryKeySelective(user);
    }

    // 根据ID查询用户
    public UserBase getUserById(Long id) {
        return userBaseMapper.selectByPrimaryKey(id);
    }

    // 根据手机号查询用户
    public UserBase getUserByMobile(String mobile) {
        UserBaseExample example = new UserBaseExample();
        example.createCriteria().andMobileEqualTo(mobile);
        List<UserBase> users = userBaseMapper.selectByExample(example);
        return users.isEmpty() ? null : users.get(0);
    }

    // 分页查询用户列表
    public List<UserBase> listUsers(int pageNum, int pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        return userBaseMapper.selectByExample(new UserBaseExample());
    }
}